<?php

$route->group('user')->namespace('Amwdeveloper\plugins\ticket');
$route->get("/ticket", "geral:index");
$route->get("/ticket/new", "geral:newticket");
$route->get("/ticket/view/{slug}", "geral:viewticket");

$route->post('/auth/ticket/new', "geral:authnewticket");
$route->post('/auth/ticket/new/to/respond/{slug}', "geral:authnewtickettorespond");


$route->group('/administration')->namespace('Amwdeveloper\plugins\ticket');
$route->get("/ticket/open", "admin:open");
$route->get("/ticket/answered", "admin:answered");
$route->get("/ticket/closed", "admin:closed");
$route->get('/ticket/to/response/{id}', "admin:view");

$route->get('/ticket/to/remove/{id}', "admin:remove");
$route->get('/ticket/to/finally/{id}', "admin:finally");

$route->post('/auth/ticket/new/to/respond/{id}', "admin:authnewtickettorespond");
